Package org.apache.tomcat.websocket

## Enum AuthenticationType

- java.lang.Object
- - java.lang.Enum<AuthenticationType>
  - - org.apache.tomcat.websocket.AuthenticationType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AuthenticationType>`

      public enum AuthenticationType
      extends java.lang.Enum<AuthenticationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PROXY` |
    `WWW` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAuthenticateHeaderName()` |
    `java.lang.String` | `getAuthorizationHeaderName()` |
    `java.lang.String` | `getUserNameProperty()` |
    `java.lang.String` | `getUserPasswordProperty()` |
    `java.lang.String` | `getUserRealmProperty()` |
    `static AuthenticationType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AuthenticationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WWW

          public static final AuthenticationType WWW

    - #### PROXY

          public static final AuthenticationType PROXY

  - ### Method Detail

    - #### values

          public static AuthenticationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationType c : AuthenticationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAuthorizationHeaderName

          public java.lang.String getAuthorizationHeaderName()

    - #### getAuthenticateHeaderName

          public java.lang.String getAuthenticateHeaderName()

    - #### getUserNameProperty

          public java.lang.String getUserNameProperty()

    - #### getUserPasswordProperty

          public java.lang.String getUserPasswordProperty()

    - #### getUserRealmProperty

          public java.lang.String getUserRealmProperty()